#ifndef _zival_h
#define _zival_h

#include <stdio.h>
#include <math.h>

#ifndef M_PI
#define M_PI 3.14159265358979323846f
#endif

class Koordinate {
public:
	double x,y;
	Koordinate(double _x, double _y) : x(_x), y(_y) {}
};

class Smer {
public:
	double d, v;
	Smer(double _d, double _v) : d(_d), v(_v) {}
};

class Stanje {
public:
	Koordinate koordinate;
	Smer smer;
	Stanje(double x, double y, double d, double v) : koordinate(x, y), smer(d, v) {}
};

enum pasma { pasmaNobena = 0, pasmaMuca = 1, pasmaMis = 2 };
enum razlog { razlogNapaka = 0, razlogZmagala = 1, razlogZgubila = 2 };

const double MAX_SPREMEMBA_SMERI = 5 * M_PI / 180.0;
const double MAX_SPREMEMBA_HITROSTI = 0.001;
const double DOSEG_LOVCA = 0.01;
const int MAX_KORAKOV = 3000;

class Zival {
public:
	static pasma Tip;
	static char* Ime;

	void ZbudiSe(Koordinate jaz, Koordinate nasprotnik, double &ZeljenaSmer);
	void KamGres(Stanje jaz, Stanje nasprotnik, double &SpremembaSmeri, double &SpremembaHitrosti);
	void KonecIgre(razlog r);
};

#endif
